| Home | Libraries | People | FAQ | More

## Function as_env

boost::proto::as_env — For ensuring that the given argument is a transform environment. If it is not already, it is made one as if by `(proto::data = t)`.

## Synopsis

    // In header: <boost/proto/transform/env.hpp>

    template<typename T>
      typename proto::result_of::as_env<T &>::type as_env(T & t);
    template<typename T>
      typename proto::result_of::as_env<T const &>::type as_env(T const & t);

## Description

See also:

- `proto::data_type::operator=`
- `proto::functional::as_env::operator()`

Returns: | `proto::functional::as_env()(t)`